[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# LongDiv

Overflow safe divide

## Declaration

Source position: objects.pp line 683

`function LongDiv(`
`X: LongInt;`
`Y: Integer`
`):Integer;`

## Description

LongDiv divides X by Y. The result is of type Integer instead of type Longint, as you would get normally.

## Errors

If Y is zero, a run-time error will be generated.

## See also

LongMul |  | Overflow safe multiply.